Bug 476448 - PackageKit needs dep on preupgrade for F9
PackageKit needs dep on preupgrade for F9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 16:07 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 21:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-12-14 16:07:08 EST
A "The package update has completed" notification popped up.

"What package update?" I thought.

Sure enough, looking in the logs..

Dec 14 16:03:13 localhost yum: Installed: createrepo-0.9.6-3.fc10.noarch
Dec 14 16:03:14 localhost yum: Installed: 1:anaconda-yum-plugins-1.0-3.fc10.noarch
Dec 14 16:03:14 localhost yum: Installed: preupgrade-1.0.0-1.fc10.noarch


I hadn't initiated this, and the 'automatically install' option is set to 'nothing'.
Comment 1 Richard Hughes 2008-12-15 11:09:18 EST
Right, this is because you did a check for a distro upgrade (for instance F10 to F11) and the preupgrade package contained the data file. I agree installing stuff automatically like this is bad, and this is why the next PK release will just have a straight dep on preupgrade.
Comment 2 Bruce Brackbill 2008-12-15 11:37:00 EST
I also got this "What the hell"? situation.

Fedora 9 livecd install ( no upgrade ). 

I hit "update system" and put the PackageKit window in the background while I ran another program. I have it set to NOT automatically install.

I actually forgot about it until the "The package update has completed" notification popped up.

I also got an EMPTY window pop-up with the string "the following packages have been updated" (or something similar).

I checked the Software Log Viewer (gpk-log) and it did not show anything.  I thought to myself, that this is the kind of OS strangeness that I used to only experience on MS Windows.  This is definitely a patented MS Windows "why did my computer just do that" moment.

And it wasn't until reading this bugzilla that I checked /var/log/messages and found:

Dec 15 07:39:04 localhost yum: Installed: createrepo-0.9.5-2.fc9.noarch
Dec 15 07:39:05 localhost yum: Installed: anaconda-yum-plugins-1.0-1.fc9.noarch
Dec 15 07:39:06 localhost yum: Installed: preupgrade-1.0.0-1.fc9.noarch
Comment 3 Armijn Hemel 2009-01-07 13:40:08 EST
On my system the same thing happened just now with preupgrade-1.0.1-1.fc9. In the desktop I have specifically disabled installing updates (Preferences -> System -> Software Updates), but it still happened.

I am, ehr, not too fond of this behaviour. I have not been able to find out how I can actually disable it.
Comment 4 Richard Hughes 2009-01-08 06:12:21 EST
Armijn, it's been fixed in newer versions of PackageKit. Sorry for the inconvenience.
Comment 5 Armijn Hemel 2009-01-08 06:58:28 EST
I don't understand. This update was installed yesterday. The last PackageKit update I installed was on December 13, which is 3 weeks ago. Obviously it was not fixed in that release :-)
Comment 6 Richard Hughes 2009-01-08 09:33:36 EST
Armin, ahh, you're on F9. I'll have to do an update for that.
Comment 7 Steven M. Parrish 2009-09-07 21:40:02 EDT
F9 is now EOL closing this

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.